/*Custom Layout Start*/
.h-7-5 {
    height: 7.5%;
}
.h-10 {
    height: 10% !important;
}
.h-15 {
    height: 15% !important;
}
.h-20 {
    height: 20% !important;
}
.h-35 {
    height: 35% !important;
}
.h-45 {
    height: 45% !important;
}
.h-55 {
    height: 55% !important;
}
.h-65 {
    height: 65% !important;
}
.h-70 {
    height: 70% !important;
}
.h-85 {
    height: 85% !important;
}
.h-90 {
    height: 90%;
}
.h-95 {
    height: 95% !important;
}
.hidden {
    display: none;
}
.container-fluid {
    display: flex;
    flex-direction: column;
    height: 100%;
}
.flex-center-center {
    display: flex;
    justify-content: center;
    justify-items: center;
    align-items: center;
    align-content: center;
}
.flex-vertical-center {
    display: flex;
    align-items: center;
    align-content: center;
}
.flex-horizontal-center {
    display: flex;
    justify-content: center;
    justify-items: center;
}
.grid-center-center {
    display: grid;
    justify-content: center;
    justify-items: center;
    align-items: center;
    align-content: center;
}
.grid-vertical-center {
    display: grid;
    align-items: center;
    align-content: center;
}
.grid-horizontal-center {
    display: grid;
    justify-content: center;
    justify-items: center;
}
.my-btn-primary {
    background-color: var(--main-text-color);
    border-color: var(--main-text-color);
    color: var(--bg-color);
    border-radius: 0.1rem;
}
.my-btn-primary:hover {
    background-color: var(--bg-color);
    border-color: var(--main-text-color);
    color: var(--main-text-color);
}
.my-btn-primary:active, .my-btn-primary:focus, .my-btn-primary:focus-visible {
    background-color: var(--main-text-color);
    border-color: var(--main-text-color);
    color: var(--bg-color);
    box-shadow: 0 0 5px var(--main-text-color-hover) inset, 0 0 10px var(--main-text-color-hover);
}
.fill-available {
    width: -webkit-fill-available;
    width: -moz-available; /* per Firefox */
}
.w-inherit {
    width: inherit;
}
.h-inherit {
    height: inherit;
}
/*Custom Layout End*/

/*Custom Scrollbar Start*/
.scroll {
    width: 40px;
    overflow-y: scroll;
    display: inline-block;
}
.scroll.inner {
    width: 100%;
    content: '.';
}
.scroll.inner-50 {
    width: 50%;
    content: '.';
}
.square::-webkit-scrollbar {
  width: 5px;
}
.square::-webkit-scrollbar-track {
  background: var(--bg-color);
  box-shadow: inset 0 0 2px var(--bg-container-color);
}
.square::-webkit-scrollbar-thumb {
  background: linear-gradient(left, rgba(0,0,0,0.1), rgba(0,0,0,0.15));
  border: 1px solid var(--main-text-color);
}
.square::-webkit-scrollbar-thumb:hover {
  background: linear-gradient(left, rgba(0,0,0,0.3), rgba(0,0,0,0.4));
}
.row.flex-grow-1 {
    flex-grow: 1;
    overflow-y: auto;
}
/* Hide scrollbar for IE, Edge and Firefox */
.row.flex-grow-1 {
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}
/* Hide scrollbar for Chrome, Safari and Opera */
.row.flex-grow-1::-webkit-scrollbar {
    display: none;
}
/*Custom Scrollbar End*/

/*Header Start*/
.header-img-logo {
    width: 66px;
    height: auto;
    object-fit: cover;
    border-radius: 8px;
    position: relative;
    left: -16px;
}
.header-img-logo-mobile {
    width: 50px;
    height: auto;
    object-fit: cover;
    border-radius: 8px;
}
#menu_item_time, #time_data {
    color: var(--main-text-color);
}
.mobile-menu-toggle {
    position: absolute;
    top: 20px;
    left: 8px;
    background-color: var(--bg-color);
    width: 30px;
    height: 30px;
}
.mobile-menu-toggle a {
    cursor: pointer;
}
.mobile-menu-toggle .el-1 {
    width: inherit;
    height: 3px;
    background-color: var(--main-text-color);
    cursor: pointer;
}
.mobile-menu-toggle .el-2 {
    width: inherit;
    height: 3px;
    background-color: var(--main-text-color);
    cursor: pointer;
}
.mobile-menu-toggle .el-3 {
    width: inherit;
    height: 3px;
    background-color: var(--main-text-color);
    cursor: pointer;
}
#header_block {
    padding-top: 8px;
    padding-bottom: 8px;
    margin: 0;
    width: -webkit-fill-available;
    width: -moz-available;
}
#header_block .col-8 {
    padding-right: 5px;
    padding-left: 5px;
}
#header_block_title_container {
    margin: 0;
}
.menu-item h3 {
    font-size: clamp(1.5rem, 2vw, 2rem);
    margin: 0;
}
.menu-item h3 a {
    color: var(--main-text-color);
    text-decoration: none;
}
.menu-item h3 a:hover {
    color: var(--main-text-color-hover);
}
.menu-item h3 a.active {
    text-decoration: underline;
}
.menu-item h4 a.active {
    text-decoration: underline;
}
.settings-wrapper {
    position: absolute;
    top: 15px;
    right: 8px;
    z-index: 998;
}
.settings-button {
    background-color: var(--bg-color);
    color: var(--main-text-color);
    border: 2px solid var(--main-text-color);
    border-radius: 0.3rem;
    width: 35px;
    height: 35px;
    cursor: pointer;
}
.settings-button:hover {
    background-color: var(--main-text-color);
    color: var(--bg-color);
    border: 2px solid var(--main-text-color);
}
.settings-menu {
    display: none;
    position: absolute;
    top: 35px;
    right: 2.2rem;
    background-color: var(--bg-container-color);
    border: 1px solid #ccc;
    border-top-right-radius: 0;
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    padding: 1rem;
    box-shadow: 0 0 10px #0002;
    width: 300px;
}
.settings-menu.show {
    display: block;
}
.language-selector {
    width: -webkit-fill-available;
    color: var(--main-text-color);
    background-color: var(--bg-color);
    border: 2px solid var(--main-text-color);
    border-radius: 0.3rem;
    cursor: pointer;
}
.language-selector:hover {
    background-color: var(--main-text-color);
    color: var(--bg-color);
    border: 2px solid var(--main-text-color);
}
.language-selector:focus, .language-selector:active, .language-selector:focus-visible {
    background-color: var(--main-text-color);
    color: var(--bg-color);
    border: 2px solid var(--main-text-color);
    box-shadow: 0 0 5px var(--main-text-color-hover) inset, 0 0 10px var(--main-text-color-hover);
}
.language-selector option {
    color: var(--main-text-color);
    background-color: var(--bg-container-color);
}
.language-selector option:hover {
    background-color: var(--main-text-color);
    color: var(--bg-color);
}
.language-selector option:active, .language-selector option:focus, .language-selector option:focus-visible {
    background-color: var(--main-text-color);
    color: var(--bg-color);
}
.toggle-theme {
    width: -webkit-fill-available;
    height: 35px;
    color: var(--main-text-color);
    background-color: var(--bg-color);
    border: 2px solid var(--main-text-color);
    border-radius: 0.3rem;
    cursor: pointer;
}
.toggle-theme span {
    cursor: pointer;
}
.form-select option {
    border-radius: 0;
}
select::-webkit-scrollbar {
    border-radius: 0;
}
.header-clock {
    justify-content: center;
}
/*Header End*/

/*Content Custom Layout Start*/
@media (width < 992px) {
    .content-column-main-content-row {
        padding: .25rem !important;
    }
    .classic-col-container {
        padding-left: 0px !important;
        padding-right: 0px !important;
    }
    #work_experience_list {
        padding-left: 0px !important;
        padding-right: 0px !important;
    }
    #footer_text {
        font-size: .75rem !important;
    }
}
.ref-text-color {
    color: var(--body-text-color) !important;
}
.flex-custom-row {
    flex-direction: column !important;
}
  
@media (width > 1350px) {
    .flex-custom-row {
        flex-direction: row !important;
    }
}
.bio-container {
    flex-grow: 1;
    min-height: 0;
}
.profile-img {
    width: 150px;
    height: auto;   
}
@media (width < 992px) {
    .profile-img {
        width: 125px;
    }
}
.info-column-main-content, .content-column-main-content {
    background-color: var(--bg-container-color);
    border-radius: 20px;
    color: var(--main-text-color);
    position: relative;
    overflow: hidden;
}
.info-column-main-content, .content-column-main-content {
    padding: 2px;
}
@media (width > 992px) {
    .content-column-container {
        max-height: 100% !important;
    }
}
/*Content Custom Layout End*/

/*Terminal Start*/
.terminal-container {
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    border: 1px solid #555;
    border-radius: 8px;
    background-color: var(--bg-container-color);
    padding: 5px;
    font-size: 1.2rem;
}
@media (width <992px) {
    .terminal-container{
        font-size: 0.9rem;
    }
}
@media (width <667px) {
    .terminal-container{
        font-size: 0.7rem;
    }
}
.terminal-cron-container {
    width: 100%;
    max-height: 90%;
    display: flex;
    flex-direction: column-reverse;
    overflow-y: auto;
    background-color: var(--bg-container-color);
}
.terminal-line {
    margin: 0;
    white-space: pre-wrap;
    word-wrap: break-word;
    color: var(--main-text-color);
}
.input-container {
    width: 100%;
    max-height: 10%;
    display: flex;
    background-color: var(--bg-container-color);
}
.terminal-input {
    flex: 1;
    border: none;
    color: var(--main-text-color);
    resize: none;
    text-align: left;
    background-color: var(--bg-container-color);
}
.prefix {
    color: var(--main-text-color);
}
.terminal-input:focus {
    outline: none;
}
/*Terminal End*/

/*ClassicCV Start*/
.classic-container {
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    background-color: var(--bg-container-color);
    padding: 5px;
    overflow-y: auto;
}
.classic-main-col-container {
    max-height: 100%;
    height: 100%;
    overflow-y: auto;
}
.classic-col-container {
    display: block;
    padding: 5px;
    font-size: 1.2rem;
}
.card {
    /*background-color: var(--bg-container-color);*/
    background-color: var(--bg-color);
    border: 1px solid #555;
    border-radius: 8px;
}
.card-title {
    color: var(--card-text-color);
}
.card-subtitle {
    color: var(--card-text-color);
}
.cv-menu {
    margin-top: 10px;
}
.cv-menu button {
    color: var(--main-text-color);
    background-color: var(--bg-color);
    border: 2px solid var(--main-text-color);
    border-radius: 0.3rem;
}
.cv-menu button:hover, .cv-menu button:active, .cv-menu button:focus {
    background-color: var(--main-text-color);
    border: 2px solid var(--main-text-color);
    color: var(--bg-color);
}
.cv-menu ul {
    background-color: var(--bg-color);
}
/*ClassicCV End*/

/*Portfolio Start*/
.portfolio-container {
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    background-color: var(--bg-container-color);
    padding: 5px;
    overflow-y: auto;
}
.portfolio-main-col-container {
    max-height: 100%;
    height: 100%;
    overflow-y: auto;
}
.portfolio-list-container {
    display: flex;
    gap: 20px;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: start;
    align-content: start;
}
.portfolio-list-item, .portfolio-list-item .card {
    width: 350px;
    min-height: 500px;
}
@media (width < 766px) {
    .portfolio-list-item, .portfolio-list-item .card {
        width: 100%;
    }
}
/*Portfolio End*/

/*Scroll to top Start*/
.scroll-top-wrapper {
    position: fixed;
    opacity: 0;
    visibility: hidden;
	overflow: hidden;
	text-align: center;
    background-color: var(--bg-color);
	color: var(--main-text-color);
	width: 35px;
	height: 35px;
	line-height: 40px;
	right: 30px;
	bottom: 60px;
    border-radius: 3px;
	-webkit-transition: all 0.5s ease-in-out;
	-moz-transition: all 0.5s ease-in-out;
	-ms-transition: all 0.5s ease-in-out;
	-o-transition: all 0.5s ease-in-out;
	transition: all 0.5s ease-in-out;
}
.scroll-top-wrapper:hover {
	background-color: var(--main-text-color);
    color: var(--bg-color);
}
.scroll-top-wrapper.show {
    visibility: visible;
    cursor: pointer;
	opacity: 1.0;
}
.scroll-top-wrapper i.fa {
	line-height: inherit;
}
.scroll-top-wrapper span {
    cursor: pointer;
}
/*Scroll to top End*/

/*Cookie Alert Start*/
.cookie-alert {
    display: none;
    align-content: center;
    position: absolute;
    left: 50%;
    bottom: 50%;
    transform: translateX(-50%);
    width: 600px;
    height: 200px;
    z-index: 1000;
    background-color: var(--bg-container-color);
    border: 2px solid var(--main-text-color);
}
.cookie-alert-button {
    background-color: var(--bg-container-color);
    border: 2px solid var(--main-text-color);
    color: var(--main-text-color);
    width: 150px;
    height: 50px;
}
.cookie-alert-button:hover {
    background-color: var(--bg-color);
}
/*Cookie Alert Start*/

/*Info Modal Start*/
.info-modal {
    display: none;
    padding: 20px;
    align-content: center;
    height: 700px;
    width: 500px;
    position: fixed;
    left: 50%;
    bottom: 50%;
    transform: translateX(-50%) translateY(50%);
    background: var(--bg-color);
    border: 2px solid var(--main-text-color);
    border-radius: 15px;
    z-index: 1000;
}
@media (width < 500px) {
    .info-modal {
        transform: translateX(-50%) translateY(50%) scale(70%);
    }
}
@media (height < 650px) {
    .info-modal {
        transform: translateX(-50%) translateY(50%) scale(70%);
    }
}
.close-info-modal {
    position: fixed;
    top: 10px;
    right: 15px;
    color: var(--main-text-color);
    cursor: pointer;
    font-size: 1.5rem;
}
.close-info-modal:hover {
    color: var(--main-text-color-hover);
}
.form-control {
    color: var(--main-text-color);
    background-color: var(--bg-container-color);
    border: 1px solid var(--main-text-color);
}
.form-control:focus, .form-control:active, .form-control:focus-visible {
    color: var(--main-text-color);
    background-color: var(--bg-container-color);
    border-color: var(--main-text-color-hover);
    box-shadow: 0 0 5px var(--main-text-color-hover) inset, 0 0 10px var(--main-text-color-hover);
}
.info-modal-contacts-container {
    display: flex;
    gap: 0px;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: center;
    align-content: center;
}
.info-modal-contact-item {
    color: var(--main-text-color);
    background-color: var(--bg-container-color);
    border: 1px solid var(--main-text-color);
    border-radius: 0.1rem;
    padding: 5px;
    width: 40px;
    height: 40px;
    text-align: center;
    align-content: center;
    font-size: 1.5rem;
}
/*Info Modal End*/

/*Mobile Start*/
@media (max-width: 992px) {
    .mobile-w-100 {
        width: 100%!important;
    }
}
.mobile-info-column-container {
    display: block;
    position: fixed;
    top: 0;
    background-color: var(--bg-container-color);
    z-index: 1000;
    transition: transform 0.5s ease-out;
    transform: translateX(-100%);
}
.mobile-info-column-container.show {
    transform: translateX(0);
}
.mobile-info-column-container.hide {
    transform: translateX(-100%);
}
.close-mobile-info {
    position: fixed;
    top: 10px;
    right: 15px;
    color: var(--main-text-color);
    cursor: pointer;
    font-size: 1.5rem;
}
.close-mobile-info:hover {
    color: var(--main-text-color-hover);
}
/*Mobile End*/